Retrieve detailed information for a specific fraud scan including S3 URLs to full JSON data.
Authorization
ApiKeyAuth In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/fraud/scan-history/string/"{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "scan_id": "string", "scan_type": "face_scan", "source": "portal", "organisation_name": "string", "id_type": "string", "id_number": "string", "search_mode": "string", "request_data": "string", "response_data": "string", "risk_level": "LOW", "risk_score": "string", "is_in_fraud_bank": true, "total_reports_found": -2147483648, "verified_reports_found": -2147483648, "image_provided": true, "face_matches_count": -2147483648, "scan_summary": "string", "processing_time_ms": -2147483648, "initiated_by": "string", "ip_address": "string", "user_agent": "string", "created_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z" }, "status": true, "message": "Request successful.", "errors": {}, "meta": { "timestamp": "2019-08-24T14:15:22Z", "version": "v1", "request_id": "string" }, "pagination": { "page": 0, "page_size": 0, "total_pages": 0, "total_items": 0 }}response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.
Join Slack ChannelList fraud scans GET
Retrieve history of all fraud scans (face and ID scans) for your organization. Results include S3 URLs to full request/response JSON data.
List fraud reports GET
Retrieve a list of fraud reports with optional global or organization-specific view. **Scope Options:** - `global` (default): View all approved fraud reports from all organizations in the fraud bank - `organisation`: View reports submitted by your organization only **Filtering:** - Status (pending, under_review, approved, declined) - Fraud category (bank, ecommerce, telecom, digital, insurance, online, others) - Search (by report ID, name, fraud type) Returns reports ordered by creation date (most recent first).